Subject: [bug#54934] [PATCH 0/4] Fix broken packages by PyYAML upgrade.

From: zimoun <[email-masked]>
Date: Thu, 14 Apr 2022 17:07:05 +0200

Hi,

On Thu, 14 Apr 2022 at 16:00, Ricardo Wurmus <[email-masked]> wrote:

> I cannot reproduce this.  I also ran “guix build
> /gnu/store/aj4xvw8shwjq9qpyfbswb71jk7axf26h-python-orange-canvas-core-0.1.24.drv” on ci.guix.gnu.org to
> see if I can reproduce the failure there, but it succeeded.

Well, it is orthogonal with the submission, but for the record:

--8<---------------cut here---------------start------------->8---
$ guix build /gnu/store/aj4xvw8shwjq9qpyfbswb71jk7axf26h-python-orange-canvas-core-0.1.24.drv\
     --no-grafts --check

[...]

test_context_menu_delete (orangecanvas.canvas.items.tests.test_graphicstextitem.TestGraphicsTextItem) ... Traceback (most recent call last):
  File "/tmp/guix-build-python-orange-canvas-core-0.1.24.drv-0/orange-canvas-core-0.1.24/orangecanvas/canvas/items/graphicstextitem.py", line 137, in contextMenuEvent
    QGraphicsTextItem_contextMenuEvent(self, event)
  File "/tmp/guix-build-python-orange-canvas-core-0.1.24.drv-0/orange-canvas-core-0.1.24/orangecanvas/canvas/items/graphicstextitem.py", line 144, in QGraphicsTextItem_contextMenuEvent
    menu = createStandardContextMenu(self, event.pos(), event.widget())
  File "/tmp/guix-build-python-orange-canvas-core-0.1.24.drv-0/orange-canvas-core-0.1.24/orangecanvas/canvas/items/graphicstextitem.py", line 290, in createStandardContextMenu
    enabled=canPaste(),
  File "/tmp/guix-build-python-orange-canvas-core-0.1.24.drv-0/orange-canvas-core-0.1.24/orangecanvas/canvas/items/graphicstextitem.py", line 187, in canPaste
    return mime.hasFormat("text/plain") or mime.hasFormat("text/html")
AttributeError: 'NoneType' object has no attribute 'hasFormat'
error: in phase 'check': uncaught exception:
%exception #<&invoke-error program: "python" arguments: ("-c" "import setuptools, tokenize;__file__='setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\\r\\n', '\\n');f.close();exec(compile(code, __file__, 'exec'))" "test") exit-status: #f term-signal: 6 stop-signal: #f> 
phase `check' failed after 1.6 seconds
command "python" "-c" "import setuptools, tokenize;__file__='setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\\r\\n', '\\n');f.close();exec(compile(code, __file__, 'exec'))" "test" failed with signal 6
builder for `/gnu/store/aj4xvw8shwjq9qpyfbswb71jk7axf26h-python-orange-canvas-core-0.1.24.drv' failed with exit code 1
build of /gnu/store/aj4xvw8shwjq9qpyfbswb71jk7axf26h-python-orange-canvas-core-0.1.24.drv failed
View build log at '/var/log/guix/drvs/aj/4xvw8shwjq9qpyfbswb71jk7axf26h-python-orange-canvas-core-0.1.24.drv.bz2'.
guix build: error: build of `/gnu/store/aj4xvw8shwjq9qpyfbswb71jk7axf26h-python-orange-canvas-core-0.1.24.drv' failed
--8<---------------cut here---------------end--------------->8---

Cheers,
simon